//
//	Class definition for Dealer Say class
//

#ifndef THE_DEALER_SAY_H
#define THE_DEALER_SAY_H

#include "theStringManager.h"

class theDealerSayImpl;

class theDealerSay
{
public:

	static theDealerSay *Get();
	static void Destroy();

	void Say(SayType sayId,SayColorType sayColor);

	bool Draw();

protected:

	static theDealerSay *mInstance;

	theDealerSay();
	~theDealerSay();

	theDealerSayImpl *mDealerSay;
};

#endif
